from django.contrib import admin

from . import models


class InvoiceFileInline(admin.TabularInline):
    model = models.InvoiceFile
    extra = 0
    readonly_fields = [
        'created_date',
        'file',
    ]
    can_delete = False


class InvoiceItemInline(admin.TabularInline):
    model = models.InvoiceItem
    extra = 0
    readonly_fields = [
        'amount',
        'amount_unit',
        'description',
        'price_for_amount',
    ]
    can_delete = False


@admin.register(models.Invoice)
class InvoiceAdmin(admin.ModelAdmin):
    list_display = ['__str__', 'invoice_date']
    inlines = [
        InvoiceItemInline,
        InvoiceFileInline,
    ]
