#!/usr/bin/env bash

set -o nounset
set -o xtrace
set -o errexit
set -o pipefail

echo "Compiling messages..."
./manage.py compilemessages >/dev/null

echo "Migrating..."
./manage.py migrate --no-input

echo "Checking for errors..."
./manage.py check --deploy --fail-level WARNING

uvicorn \
    --host 0.0.0.0 \
    --port 8000 \
    --workers 4 \
    --lifespan off \
    facturio.asgi:application
